Subject: Re: bug#14538: 24.3.50; MinGW64 (32bit) build with Posix configure failed

From: Eli Zaretskii <[email-masked]>
Date: Mon, 03 Jun 2013 20:17:53 +0300

> From: [email-masked]
> Date: Sun, 02 Jun 2013 12:02:21 +0900
> 
> MinGW64 (32bit) build with Posix configure failed. (trunk revision 112819)
> 
> I downloaded
> http://sourceforge.net/projects/mingwbuilds/files/host-windows/releases/4.8.0/32-bit/threads-win32/dwarf/x32-4.8.0-release-win32-dwarf-rev2.7z/download
> and extract it under c:/mingw-w64/, then add "/c/mingw-w64/mingw32/bin"
> to PATH of MinGW Shell.
> 
> Then run
> 
>    $ ./autogen.sh
>    $ ./nt/msysconfig.sh
>    $ make >& make.log
> 
> This failed with the error as follows.
> 
>      :
> gcc  -std=gnu99 -DHAVE_CONFIG_H -I. -I/home/rzl24ozi/src/emacs/lib -I../src -I/home/rzl24ozi/src/emacs/src   -mtune=pentium4   -DUSE_CRT_DLL=1 -I /home/rzl24ozi/src/emacs/nt/inc    -g3 -O2 -gdwarf-2 -MT gettimeofday.o -MD -MP -MF .deps/gettimeofday.Tpo -c -o gettimeofday.o gettimeofday.c
> gettimeofday.c:102:1: error: conflicting types for 'gettimeofday'
>  gettimeofday (struct timeval *restrict tv, void *restrict tz)
>  ^
> In file included from gettimeofday.c:23:0:
> C:/MinGW/msys/1.0/home/rzl24ozi/src/emacs/nt/inc/sys/time.h:47:5: note: previous declaration of 'gettimeofday' was here
>  int gettimeofday (struct timeval *__restrict, struct timezone *__restrict);
>      ^
> make[2]: *** [gettimeofday.o] Error 1
> make[2]: Leaving directory `/home/rzl24ozi/src/emacs/lib'
> make[1]: *** [all] Error 2
> make[1]: Leaving directory `/home/rzl24ozi/src/emacs/lib'
> make: *** [lib] Error 2
> 
> make.log and config.log are attached to this mail.

Thanks.  Please try again with the latest trunk.  If there are still
errors, please type "make -k" so that all the errors are seen, and
please again attach both logs.